PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;

DROP TABLE IF EXISTS condenser;
CREATE TABLE condenser(
   name Text,
   num Integer );
INSERT INTO condenser VALUES('Condenser',1);

DROP TABLE IF EXISTS condenser_info;
CREATE TABLE condenser_info(
   num Integer , model Text, serial Text);
INSERT INTO condenser_info VALUES(1,'','');
INSERT INTO condenser_info VALUES(2,'','');
INSERT INTO condenser_info VALUES(3,'','');
INSERT INTO condenser_info VALUES(4,'','');
INSERT INTO condenser_info VALUES(5,'','');
INSERT INTO condenser_info VALUES(6,'','');
INSERT INTO condenser_info VALUES(7,'','');
INSERT INTO condenser_info VALUES(8,'','');

DROP TABLE IF EXISTS contacts;
CREATE TABLE contacts(
   contact_id Integer,
   email Text,
   if_you_need Text,
   name Text,
   phone Text );
INSERT INTO contacts VALUES(1,'','','','');
INSERT INTO contacts VALUES(2,'','','','');
INSERT INTO contacts VALUES(3,'','','','');
INSERT INTO contacts VALUES(4,'','','','');

DROP TABLE IF EXISTS data_key;
CREATE TABLE data_key(
   id          Integer,
   language_id Integer,
   type        Text );
INSERT INTO data_key VALUES(1,570,'analog');
INSERT INTO data_key VALUES(2,571,'analog');
INSERT INTO data_key VALUES(3,568,'analog');
INSERT INTO data_key VALUES(1,574,'digital');
INSERT INTO data_key VALUES(2,575,'digital');
INSERT INTO data_key VALUES(3,2016,'digital');
INSERT INTO data_key VALUES(4,2017,'digital');
INSERT INTO data_key VALUES(5,2018,'digital');
INSERT INTO data_key VALUES(1,557,'sensor');
INSERT INTO data_key VALUES(2,558,'sensor');
INSERT INTO data_key VALUES(3,559,'sensor');
INSERT INTO data_key VALUES(4,NULL,'sensor');
INSERT INTO data_key VALUES(5,561,'sensor');
INSERT INTO data_key VALUES(10,565,'sensor');
INSERT INTO data_key VALUES(12,1656,'sensor');
INSERT INTO data_key VALUES(1,7,'unit');
INSERT INTO data_key VALUES(100,547,'unit');
INSERT INTO data_key VALUES(2,NULL,'unit');
INSERT INTO data_key VALUES(3,NULL,'unit');
INSERT INTO data_key VALUES(4,8,'unit');
INSERT INTO data_key VALUES(5,NULL,'unit');
INSERT INTO data_key VALUES(10,779,NULL);
INSERT INTO data_key VALUES(12,1205,NULL);
INSERT INTO data_key VALUES(13,554,NULL);
INSERT INTO data_key VALUES(14,555,NULL);
INSERT INTO data_key VALUES(15,556,NULL);
INSERT INTO data_key VALUES(16,127,NULL);
INSERT INTO data_key VALUES(17,NULL,NULL);
INSERT INTO data_key VALUES(18,NULL,NULL);
INSERT INTO data_key VALUES(19,155,NULL);
INSERT INTO data_key VALUES(20,NULL,NULL);
INSERT INTO data_key VALUES(6,1319,'sensor');
INSERT INTO data_key VALUES(0,202,'analog');
INSERT INTO data_key VALUES(0,202,'digital');
INSERT INTO data_key VALUES(6,2019,'digital');


DROP TABLE IF EXISTS [drop_downs] ;
CREATE TABLE [drop_downs] ([mode_data] INTEGER, [text_index] INTEGER, [language_id] INT);


DROP TABLE IF EXISTS global_settings_ammonia_names_vessel;
CREATE TABLE global_settings_ammonia_names_vessel(
   name Text,
   input_letter Text
    , analog_id Integer);
INSERT INTO global_settings_ammonia_names_vessel VALUES('Ammonia Input 1','A',160);
INSERT INTO global_settings_ammonia_names_vessel VALUES('Ammonia Input 2','B',161);
INSERT INTO global_settings_ammonia_names_vessel VALUES('Ammonia Input 3','C',162);
INSERT INTO global_settings_ammonia_names_vessel VALUES('Ammonia Output 1','D',220);
INSERT INTO global_settings_ammonia_names_vessel VALUES('Ammonia Output 2','E',221);
INSERT INTO global_settings_ammonia_names_vessel VALUES('Ammonia Output 3','F',222);

DROP TABLE IF EXISTS global_settings_analog_aux_inputs_condenser;
CREATE TABLE global_settings_analog_aux_inputs_condenser(
   name         Text,
   input_letter Text , input_number Integer, analog_id Integer, aux_input Integer);
INSERT INTO global_settings_analog_aux_inputs_condenser VALUES('Analog Aux A','A',956,90,0);
INSERT INTO global_settings_analog_aux_inputs_condenser VALUES('Analog Aux B','B',957,91,1);
INSERT INTO global_settings_analog_aux_inputs_condenser VALUES('Analog Aux C','C',958,92,2);
INSERT INTO global_settings_analog_aux_inputs_condenser VALUES('Analog Aux D','D',1733,93,3);
INSERT INTO global_settings_analog_aux_inputs_condenser VALUES('Analog Aux E','E',1734,94,4);
INSERT INTO global_settings_analog_aux_inputs_condenser VALUES('Analog Aux F','F',1735,95,5);
INSERT INTO global_settings_analog_aux_inputs_condenser VALUES('Analog Aux G','G',1736,96,6);
INSERT INTO global_settings_analog_aux_inputs_condenser VALUES('Analog Aux H','H',1737,97,7);
INSERT INTO global_settings_analog_aux_inputs_condenser VALUES('Analog Aux I','I',1738,98,8);
INSERT INTO global_settings_analog_aux_inputs_condenser VALUES('Analog Aux J','J',1739,99,9);

DROP TABLE IF EXISTS global_settings_analog_aux_inputs_vessel;
CREATE TABLE global_settings_analog_aux_inputs_vessel(
   name         Text,
   input_letter Text , input_number Integer, analog_id Integer, aux_input Integer);
INSERT INTO global_settings_analog_aux_inputs_vessel VALUES('Analog Aux A','A',956,54,0);
INSERT INTO global_settings_analog_aux_inputs_vessel VALUES('Analog Aux B','B',957,55,1);
INSERT INTO global_settings_analog_aux_inputs_vessel VALUES('Analog Aux C','C',958,56,2);
INSERT INTO global_settings_analog_aux_inputs_vessel VALUES('Analog Aux D','D',1733,57,3);
INSERT INTO global_settings_analog_aux_inputs_vessel VALUES('Analog Aux E','E',1734,58,4);
INSERT INTO global_settings_analog_aux_inputs_vessel VALUES('Analog Aux F','F',1735,59,5);
INSERT INTO global_settings_analog_aux_inputs_vessel VALUES('Analog Aux G','G',1736,60,6);
INSERT INTO global_settings_analog_aux_inputs_vessel VALUES('Analog Aux H','H',1737,61,7);
INSERT INTO global_settings_analog_aux_inputs_vessel VALUES('Analog Aux I','I',1738,62,8);
INSERT INTO global_settings_analog_aux_inputs_vessel VALUES('Analog Aux J','J',1739,63,9);
--INSERT INTO global_settings_analog_aux_inputs_vessel VALUES('Analog Aux K','K',2395,64,10);

DROP TABLE IF EXISTS global_settings_analog_aux_inputs_units_condenser;
CREATE TABLE global_settings_analog_aux_inputs_units_condenser(
   aux_input Integer,
   value     Text );
INSERT INTO global_settings_analog_aux_inputs_units_condenser VALUES(0,'');
INSERT INTO global_settings_analog_aux_inputs_units_condenser VALUES(1,'');
INSERT INTO global_settings_analog_aux_inputs_units_condenser VALUES(2,'');
INSERT INTO global_settings_analog_aux_inputs_units_condenser VALUES(3,'');
INSERT INTO global_settings_analog_aux_inputs_units_condenser VALUES(4,'');
INSERT INTO global_settings_analog_aux_inputs_units_condenser VALUES(5,'');
INSERT INTO global_settings_analog_aux_inputs_units_condenser VALUES(6,'');
INSERT INTO global_settings_analog_aux_inputs_units_condenser VALUES(7,'');
INSERT INTO global_settings_analog_aux_inputs_units_condenser VALUES(8,'');
INSERT INTO global_settings_analog_aux_inputs_units_condenser VALUES(9,'');

DROP TABLE IF EXISTS global_settings_analog_aux_inputs_units_vessel;
CREATE TABLE global_settings_analog_aux_inputs_units_vessel(
   aux_input Integer,
   value     Text );
INSERT INTO global_settings_analog_aux_inputs_units_vessel VALUES(0,'');
INSERT INTO global_settings_analog_aux_inputs_units_vessel VALUES(1,'');
INSERT INTO global_settings_analog_aux_inputs_units_vessel VALUES(2,'');
INSERT INTO global_settings_analog_aux_inputs_units_vessel VALUES(3,'');
INSERT INTO global_settings_analog_aux_inputs_units_vessel VALUES(4,'');
INSERT INTO global_settings_analog_aux_inputs_units_vessel VALUES(5,'');
INSERT INTO global_settings_analog_aux_inputs_units_vessel VALUES(6,'');
INSERT INTO global_settings_analog_aux_inputs_units_vessel VALUES(7,'');
INSERT INTO global_settings_analog_aux_inputs_units_vessel VALUES(8,'');
INSERT INTO global_settings_analog_aux_inputs_units_vessel VALUES(9,'');
INSERT INTO global_settings_analog_aux_inputs_units_vessel VALUES(10,'');

DROP TABLE IF EXISTS [global_settings_condenser_steps];
CREATE TABLE [global_settings_condenser_steps] ([name] Text, [step] Integer, [output] Text, [step_number] Integer REFERENCES [languages] ([language_id]));
INSERT INTO global_settings_condenser_steps VALUES('',956,'a',1);
INSERT INTO global_settings_condenser_steps VALUES('',957,'b',2);
INSERT INTO global_settings_condenser_steps VALUES('',958,'c',3);
INSERT INTO global_settings_condenser_steps VALUES('',1733,'d',4);
INSERT INTO global_settings_condenser_steps VALUES('',1734,'e',5);
INSERT INTO global_settings_condenser_steps VALUES('',1735,'f',6);
INSERT INTO global_settings_condenser_steps VALUES('',1736,'g',7);
INSERT INTO global_settings_condenser_steps VALUES('',1737,'h',8);
INSERT INTO global_settings_condenser_steps VALUES('',1738,'i',9);
INSERT INTO global_settings_condenser_steps VALUES('',1739,'j',10);
INSERT INTO global_settings_condenser_steps VALUES('',2395,'k',11);
INSERT INTO global_settings_condenser_steps VALUES('',2396,'l',12);
INSERT INTO global_settings_condenser_steps VALUES('',2397,'m',13);
INSERT INTO global_settings_condenser_steps VALUES('',2398,'n',14);
INSERT INTO global_settings_condenser_steps VALUES('',2399,'o',15);
INSERT INTO global_settings_condenser_steps VALUES('',2400,'p',16);

DROP TABLE IF EXISTS global_settings_digital_aux_inputs_condenser;
CREATE TABLE global_settings_digital_aux_inputs_condenser(
   name Text,
   input_letter Text,
   input_number Integer , id Integer);
INSERT INTO global_settings_digital_aux_inputs_condenser VALUES('Digital Aux Input A','A',956,1);
INSERT INTO global_settings_digital_aux_inputs_condenser VALUES('Digital Aux Input B','B',957,2);
INSERT INTO global_settings_digital_aux_inputs_condenser VALUES('Digital Aux Input C','C',958,3);
INSERT INTO global_settings_digital_aux_inputs_condenser VALUES('Digital Aux Input D','D',1733,4);
INSERT INTO global_settings_digital_aux_inputs_condenser VALUES('Digital Aux Input E','E',1734,5);
INSERT INTO global_settings_digital_aux_inputs_condenser VALUES('Digital Aux Input F','F',1735,6);
INSERT INTO global_settings_digital_aux_inputs_condenser VALUES('Digital Aux Input G','G',1736,7);
INSERT INTO global_settings_digital_aux_inputs_condenser VALUES('Digital Aux Input H','H',1737,8);
INSERT INTO global_settings_digital_aux_inputs_condenser VALUES('Digital Aux Input I','I',1738,9);
INSERT INTO global_settings_digital_aux_inputs_condenser VALUES('Digital Aux Input J','J',1739,10);

DROP TABLE IF EXISTS global_settings_digital_aux_inputs_vessel;
CREATE TABLE global_settings_digital_aux_inputs_vessel(name Text, input_letter Text, input_number Integer, id Integer );
INSERT INTO global_settings_digital_aux_inputs_vessel VALUES('Digital Aux Input A','A',956,1);
INSERT INTO global_settings_digital_aux_inputs_vessel VALUES('Digital Aux Input B','B',957,2);
INSERT INTO global_settings_digital_aux_inputs_vessel VALUES('Digital Aux Input C','C',958,3);
INSERT INTO global_settings_digital_aux_inputs_vessel VALUES('Digital Aux Input D','D',1733,4);
INSERT INTO global_settings_digital_aux_inputs_vessel VALUES('Digital Aux Input E','E',1734,5);
INSERT INTO global_settings_digital_aux_inputs_vessel VALUES('Digital Aux Input F','F',1735,6);
INSERT INTO global_settings_digital_aux_inputs_vessel VALUES('Digital Aux Input G','G',1736,7);
INSERT INTO global_settings_digital_aux_inputs_vessel VALUES('Digital Aux Input H','H',1737,8);
INSERT INTO global_settings_digital_aux_inputs_vessel VALUES('Digital Aux Input I','I',1738,9);
INSERT INTO global_settings_digital_aux_inputs_vessel VALUES('Digital Aux Input J','J',1739,10);

DROP TABLE IF EXISTS global_settings_pid_names_condenser;
CREATE TABLE global_settings_pid_names_condenser(
   name Text,
   input_letter Text);
INSERT INTO global_settings_pid_names_condenser VALUES('P/I Control A','A');
INSERT INTO global_settings_pid_names_condenser VALUES('P/I Control B','B');
INSERT INTO global_settings_pid_names_condenser VALUES('P/I Control C','C');
INSERT INTO global_settings_pid_names_condenser VALUES('P/I Control D','D');

DROP TABLE IF EXISTS global_settings_pid_names_vessel;
CREATE TABLE global_settings_pid_names_vessel(
   name Text,
   input_letter Text);
INSERT INTO global_settings_pid_names_vessel VALUES('P/I Control A','A');
INSERT INTO global_settings_pid_names_vessel VALUES('P/I Control B','B');
INSERT INTO global_settings_pid_names_vessel VALUES('P/I Control C','C');
INSERT INTO global_settings_pid_names_vessel VALUES('P/I Control D','D');

DROP TABLE IF EXISTS global_settings_sensor_types;
CREATE TABLE global_settings_sensor_types(
   input_number Integer,
   value Integer );
INSERT INTO global_settings_sensor_types VALUES(202,0);
INSERT INTO global_settings_sensor_types VALUES(7,1);
INSERT INTO global_settings_sensor_types VALUES(8,4);
INSERT INTO global_settings_sensor_types VALUES(547,100);
DROP TABLE IF EXISTS global_settings_vessel_names;
CREATE TABLE global_settings_vessel_names(
   id Integer NOT NULL,
   name Text );
INSERT INTO global_settings_vessel_names VALUES(1,'Vessel 1');
INSERT INTO global_settings_vessel_names VALUES(2,'Vessel 2');
INSERT INTO global_settings_vessel_names VALUES(3,'Vessel 3');

DROP TABLE IF EXISTS [languages];
CREATE TABLE "languages"(
	"language_id" Integer,
	"name" Text,
	"english" Text,
    "spanish" Text,
    "portuguese" Text);


DROP TABLE IF EXISTS sessions;
CREATE TABLE sessions(
                 sessionId TEXT PRIMARY KEY,
                 id INTEGER REFERENCES users(id),
                 lastAccessTime TEXT, hasCookie BOOLEAN);

DROP TABLE IF EXISTS shared_memory_monitor;
CREATE TABLE shared_memory_monitor(
   data_file Text,
   file_item Text,
   data_item Text , data_file_text Text, data_item_text Text);

DROP TABLE IF EXISTS software;
CREATE TABLE software(
   version Text,
   release Text );
INSERT INTO software VALUES('10.01','10/08/2015');


CREATE TABLE uniqueID(id Text);
INSERT INTO uniqueID VALUES('');

DROP TABLE IF EXISTS summer_winter_steps;
CREATE TABLE summer_winter_steps(
   output Text,
   step_number Integer,
   summer_winter Integer );

DROP TABLE IF EXISTS temp;
CREATE TABLE temp(
   name Text );

DROP TABLE IF EXISTS user_settings ;
CREATE TABLE user_settings (
  user_id int(5) NOT NULL,
  user_defined_home varchar(500),
  user_defined_main varchar(500));

DROP TABLE IF EXISTS version;
CREATE TABLE version ( number varchar(50) DEFAULT(''), release varchar(128));

DROP TABLE IF EXISTS trending_condenser;
CREATE TABLE trending_condenser(
	language_id Integer,
	analog_data Integer , unit Text, text_index Integer);

DROP TABLE IF EXISTS trending_real_time_condenser;
CREATE TABLE trending_real_time_condenser(
        language_id Integer,
        analog_data Integer,
        unit Text,
        text_index Integer );

DROP TABLE IF EXISTS global_settings_ammonia_names_condenser;
CREATE TABLE global_settings_ammonia_names_condenser(
	name         Text,
	input_letter Text , analog_id Integer);
INSERT INTO global_settings_ammonia_names_condenser VALUES('Ammonia Input 1','A',170);
INSERT INTO global_settings_ammonia_names_condenser VALUES('Ammonia Input 2','B',171);
INSERT INTO global_settings_ammonia_names_condenser VALUES('Ammonia Input 3','C',172);
INSERT INTO global_settings_ammonia_names_condenser VALUES('Ammonia Output 1','D',230);
INSERT INTO global_settings_ammonia_names_condenser VALUES('Ammonia Output 2','E',231);
INSERT INTO global_settings_ammonia_names_condenser VALUES('Ammonia Output 3','F',232);

DROP TABLE IF EXISTS equipment;
CREATE TABLE equipment(
product_name TEXT,
ip TEXT UNIQUE,
port VARCHAR(10),
type_name VARCHAR(25),
external_address TEXT);

DROP TABLE IF EXISTS equipment_components ;
CREATE TABLE equipment_components (
host_id INTEGER,
component_name TEXT,
type_name VARCHAR(25),
CONSTRAINT component UNIQUE(host_id, type_name),
FOREIGN KEY(host_id) REFERENCES equipment(rowid));

DROP TABLE IF EXISTS test_panel_ips;
CREATE TABLE test_panel_ips (
type_name VARCHAR(25),
test_letter CHARACTER(1),
ip TEXT
);
INSERT INTO test_panel_ips VALUES('compressor',       'A', '10.14.228.114');
INSERT INTO test_panel_ips VALUES('condenser/vessel', 'A', '10.14.228.116');
INSERT INTO test_panel_ips VALUES('evaporator',       'A', '10.14.228.117');
INSERT INTO test_panel_ips VALUES('engine_room',      'A', '10.14.228.118');
INSERT INTO test_panel_ips VALUES('compressor',       'B', '10.14.228.119');
INSERT INTO test_panel_ips VALUES('condenser/vessel', 'B', '10.14.228.121');
INSERT INTO test_panel_ips VALUES('evaporator',       'B', '10.14.228.122');
INSERT INTO test_panel_ips VALUES('engine_room',      'B', '10.14.228.128');

DROP TABLE IF EXISTS user_defined_condenser;
CREATE TABLE user_defined_condenser(
id INTEGER,
user_id TEXT,
page VARCHAR(100),

PRIMARY KEY(id, user_id, page),
FOREIGN KEY (user_id) REFERENCES users(user_id)

);

DROP TABLE IF EXISTS user_defined_vessel;
CREATE TABLE user_defined_vessel(
id INTEGER,
user_id TEXT,
page VARCHAR(100),
vessel_num Integer(5),

PRIMARY KEY (id, user_id, page, vessel_num),
FOREIGN KEY (user_id) REFERENCES users(user_id)

);

DROP TABLE IF EXISTS trending_vessel;
CREATE TABLE trending_vessel(
language_id Integer,
analog_data Integer,
unit Text,
text_index Integer,
vessel_num Integer);

DROP TABLE IF EXISTS trending_real_time_vessel;
CREATE TABLE trending_real_time_vessel(
language_id Integer,
analog_data Integer,
unit Text,
text_index Integer);

DROP TABLE IF EXISTS freeze_data_vessel;
CREATE TABLE freeze_data_vessel(
       freeze_id INTEGER,
       table_id INTEGER,
       section INTEGER,
       selected BOOLEAN,
       ordinal INTEGER,
       PRIMARY KEY (freeze_id, section)
);

INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (959,0,1,1,1);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (960,0,1,1,2);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (962,0,1,1,3);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (964,0,1,1,4);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (966,0,1,1,5);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (968,0,1,1,6);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (961,0,1,1,7);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (963,0,1,1,8);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (965,0,1,1,9);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (967,0,1,1,10);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (971,0,2,1,11);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (972,0,2,1,12);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (974,0,2,1,13);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (976,0,2,1,14);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (978,0,2,1,15);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (980,0,2,1,16);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (973,0,2,1,17);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (975,0,2,1,18);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (977,0,2,1,19);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (979,0,2,1,20);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (983,0,3,1,21);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (984,0,3,1,22);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (986,0,3,1,23);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (988,0,3,1,24);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (990,0,3,1,25);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (992,0,3,1,26);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (985,0,3,1,27);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (987,0,3,1,28);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (989,0,3,1,29);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (991,0,3,1,30);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (282,0,4,1,31);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (283,0,4,1,32);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (2444,0,4,1,33);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (2445,0,4,1,34);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (2446,0,4,1,35);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (586,0,4,1,36);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (587,0,4,1,37);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (588,0,4,1,38);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (589,0,4,1,39);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (590,0,4,1,40);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (591,0,4,1,41);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (592,0,4,1,42);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (593,0,4,1,43);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (594,0,4,1,44);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (595,0,4,1,45);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (969,0,1,1,46);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (981,0,2,1,47);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (993,0,3,1,48);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (970,0,1,1,49);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (982,0,2,1,50);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (994,0,3,1,51);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (2534,0,4,1,52);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (2535,0,4,1,53);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (2536,0,4,1,54);
INSERT INTO freeze_data_vessel (freeze_id, table_id, section, selected, ordinal) VALUES (2537,0,4,1,55);


DROP TABLE IF EXISTS freeze_data_condenser;
CREATE TABLE freeze_data_condenser(
       freeze_id INTEGER PRIMARY KEY,
       table_id INTEGER,
       selected BOOLEAN,
       ordinal INTEGER
);
INSERT INTO freeze_data_condenser VALUES(2407,0,1,1);
INSERT INTO freeze_data_condenser VALUES(2408,0,1,2);
INSERT INTO freeze_data_condenser VALUES(1560,0,1,3);
INSERT INTO freeze_data_condenser VALUES(2021,0,1,4);
INSERT INTO freeze_data_condenser VALUES(2358,0,1,5);
INSERT INTO freeze_data_condenser VALUES(2343,0,1,6);
INSERT INTO freeze_data_condenser VALUES(2344,0,1,7);
INSERT INTO freeze_data_condenser VALUES(2345,0,1,8);
INSERT INTO freeze_data_condenser VALUES(134,0,1,9);
INSERT INTO freeze_data_condenser VALUES(135,0,1,10);
INSERT INTO freeze_data_condenser VALUES(136,0,1,11);
INSERT INTO freeze_data_condenser VALUES(137,0,1,12);
INSERT INTO freeze_data_condenser VALUES(138,0,1,13);
INSERT INTO freeze_data_condenser VALUES(139,0,1,14);
INSERT INTO freeze_data_condenser VALUES(140,0,1,15);
INSERT INTO freeze_data_condenser VALUES(141,0,1,16);
INSERT INTO freeze_data_condenser VALUES(142,0,1,17);
INSERT INTO freeze_data_condenser VALUES(143,0,1,18);
INSERT INTO freeze_data_condenser VALUES(2469,0,1,19);
INSERT INTO freeze_data_condenser VALUES(2470,0,1,20);
INSERT INTO freeze_data_condenser VALUES(2471,0,1,21);
INSERT INTO freeze_data_condenser VALUES(2472,0,1,22);
INSERT INTO freeze_data_condenser VALUES(2473,0,1,23);
INSERT INTO freeze_data_condenser VALUES(2474,0,1,24);
INSERT INTO freeze_data_condenser VALUES(2475,0,1,25);
INSERT INTO freeze_data_condenser VALUES(2476,0,1,26);
INSERT INTO freeze_data_condenser VALUES(2534,0,1,27);
INSERT INTO freeze_data_condenser VALUES(2535,0,1,28);
INSERT INTO freeze_data_condenser VALUES(2536,0,1,29);
INSERT INTO freeze_data_condenser VALUES(2537,0,1,30);


DROP TABLE IF EXISTS global_settings_receiver_names;
CREATE TABLE global_settings_receiver_names(
	id Integer NOT NULL,
	name Text );
INSERT INTO global_settings_receiver_names VALUES(1,'High Pressure Receiver');
INSERT INTO global_settings_receiver_names VALUES(2,'Thermosyphon Receiver');

DROP TABLE IF EXISTS user_actions_condenser;
CREATE TABLE user_actions_condenser(
       user_id TEXT,
       action_data TEXT,
       time_stamp TIMESTAMP,
       FOREIGN KEY(user_id) REFERENCES users(id));

DROP TABLE IF EXISTS user_actions_vessel;
CREATE TABLE user_actions_vessel(
       user_id TEXT,
       action_data TEXT,
       time_stamp TIMESTAMP,
       FOREIGN KEY(user_id) REFERENCES users(id));



DROP TABLE IF EXISTS global_settings_smtp_auth;
CREATE TABLE global_settings_smtp_auth(
	authid Integer NOT NULL PRIMARY KEY AUTOINCREMENT,
	option Text , selected Integer);
INSERT INTO global_settings_smtp_auth VALUES(1,'tls',1);
INSERT INTO global_settings_smtp_auth VALUES(2,'ssl',0);

DROP TABLE IF EXISTS global_settings_smtp_settings;
CREATE TABLE global_settings_smtp_settings(
	host Text,
	port Text,
	username Text,
	password Text , timeOccured DateTime, from_address Text);
    INSERT INTO global_settings_smtp_settings VALUES('','','', '', '', '');

DROP TABLE IF EXISTS global_settings_notifications;
CREATE TABLE global_settings_notifications(
	level Integer,
	sec_group Integer );

DROP TABLE IF EXISTS meta;
CREATE TABLE meta(
       version DOUBLE
);
INSERT INTO meta VALUES(8.0);

DROP TABLE IF EXISTS local_host_configs;
CREATE TABLE local_host_configs(
       url TEXT,
       user_defined_name TEXT,
       product_type VARCHAR(25)
);
INSERT INTO local_host_configs VALUES('', 'condenser/vessel', 'condenser/vessel');

DROP TABLE IF EXISTS local_host_components;
CREATE TABLE local_host_components(
       user_defined_name TEXT,
       product_type VARCHAR(25)
);

DROP TABLE IF EXISTS mode_ordinals;
CREATE TABLE mode_ordinals(
       mode_data Integer,
       text_index Integer,
       ordinal Integer
);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 69, 2);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 70, 1);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 71, 3);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 72, 4);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 73, 5);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 90, 9);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 91, 10);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 92, 11);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 93, 12);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 94, 13);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 95, 14);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 96, 15);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 97, 16);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 98, 17);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 99, 18);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 170, 6);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 171, 7);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(669, 172, 8);

INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 69, 2);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 70, 1);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 71, 3);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 72, 4);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 73, 5);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 90, 9);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 91, 10);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 92, 11);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 93, 12);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 94, 13);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 95, 14);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 96, 15);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 97, 16);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 98, 17);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 99, 18);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 170, 6);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 171, 7);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(601, 172, 8);

INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 0, 1);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 1, 11);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 2, 21);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 3, 2);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 4, 12);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 5, 22);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 21, 3);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 22, 13);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 23, 23);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 24, 4);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 25, 14);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 26, 24);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 27, 5);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 28, 15);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 29, 25);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 30, 6);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 31, 16);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 32, 26);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 33, 7);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 34, 17);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 35, 27);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 36, 8);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 37, 18);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 38, 28);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 39, 9);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 40, 19);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 41, 29);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 42, 10);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 43, 20);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 44, 30);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 54, 36);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 55, 36);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 56, 37);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 57, 38);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 58, 39);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 59, 40);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 60, 41);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 61, 42);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 62, 43);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 63, 44);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 110, 31);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 111, 32);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 160, 33);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 161, 34);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(611, 162, 35);

INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 0, 1);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 1, 11);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 2, 21);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 3, 2);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 4, 12);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 5, 22);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 21, 3);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 22, 13);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 23, 23);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 24, 4);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 25, 14);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 26, 24);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 27, 5);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 28, 15);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 29, 25);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 30, 6);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 31, 16);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 32, 26);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 33, 7);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 34, 17);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 35, 27);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 36, 8);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 37, 18);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 38, 28);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 39, 9);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 40, 19);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 41, 29);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 42, 10);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 43, 20);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 44, 30);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 54, 36);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 55, 36);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 56, 37);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 57, 38);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 58, 39);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 59, 40);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 60, 41);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 61, 42);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 62, 43);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 63, 44);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 110, 31);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 111, 32);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 160, 33);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 161, 34);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(670, 162, 35);

INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 0, 1);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 1, 11);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 2, 21);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 3, 2);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 4, 12);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 5, 22);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 21, 3);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 22, 13);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 23, 23);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 24, 4);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 25, 14);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 26, 24);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 27, 5);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 28, 15);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 29, 25);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 30, 6);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 31, 16);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 32, 26);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 33, 7);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 34, 17);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 35, 27);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 36, 8);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 37, 18);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 38, 28);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 39, 9);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 40, 19);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 41, 29);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 42, 10);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 43, 20);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 44, 30);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 54, 36);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 55, 36);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 56, 37);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 57, 38);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 58, 39);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 59, 40);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 60, 41);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 61, 42);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 62, 43);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 63, 44);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 110, 31);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 111, 32);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 160, 33);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 161, 34);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(860, 162, 35);


DROP INDEX IF EXISTS [idx_data_key];
DROP INDEX IF EXISTS data_keyIdx;
DROP INDEX IF EXISTS drop_downsIdx;
DROP INDEX IF EXISTS [idx_global_settings_condenser_steps];
DROP INDEX IF EXISTS [idx_languages];
DROP INDEX IF EXISTS languagesIdx;
DROP INDEX IF EXISTS index_authid;

CREATE INDEX [idx_data_key] ON [data_key] ([id] ASC);
CREATE INDEX data_keyIdx ON data_key( language_id, type );
CREATE INDEX drop_downsIdx ON drop_downs( mode_data, language_id );
CREATE INDEX [idx_global_settings_condenser_steps] ON [global_settings_condenser_steps] ( [step_number] ASC );
CREATE INDEX [idx_languages] ON [languages] ([language_id] ASC);
CREATE INDEX languagesIdx ON [languages] ( name );
CREATE INDEX index_authid ON global_settings_smtp_auth( authid );
COMMIT;
