/*global $*/
function pillNav(settings) {
    var nav = {
        pillClass: settings.pillClass,
        pageClass: settings.pageClass,
        _pillAttr: "data-section-page",
        _pageAttr: "data-section-page",
        init: function () {
            var nav = this;
            $(nav.pillClass).on("click", function(){
                nav.showPage(this);
                nav.activate(this);
            });
        },
        showPage: function(pill) {
            hidePages(this.pageClass);
            showPage(this.page(pill));
        },
        page: function (pill) {
            var nav = this;
            var pageSelector = nav.pageClass + "[" +  nav._pageAttr + "='" + $(pill).attr(nav._pillAttr)+ "']";
            return $(pageSelector);
        },
        activate: function(pill) {
            deactivatePills(this.pillClass);
            activatePill(pill);
    
        }
    };

    nav.init();
}

function hidePages(pageClass) {
    $(pageClass).addClass("hidden");
}

function showPage(page) {
    $(page).removeClass("hidden");
}

function deactivatePills(pillClass) {
    $(pillClass).removeClass("active");
}

function activatePill(pill) {
    $(pill).addClass("active");
}

